Updates the unavailability type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "7000b0fe-582d-4bda-a784-9a97e2c41c96",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "6f2f16fe-5b20-4971-95cc-64a0da5f22ca",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "068c865d-5e67-4e8d-8847-ec1e5e4fd4d6",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "86060e36-40b1-4e4f-9a62-770fd3715358",
    "db_currency_id": "6653ff37-f9b5-476b-8057-0d1f6aa5aefc",
    "db_language_id": "f618ade2-fabf-4ee0-8ad6-aa11ae9c1570",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T16:26:15.9099535+00:00"
  },
  "modified_dateutc": "2026-10-26T16:26:15.9099535+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.